Package org.springframework.beans.factory.parsing

# Class BeanEntry

java.lang.Object
org.springframework.beans.factory.parsing.BeanEntry

All Implemented Interfaces:
  `ParseState.Entry`

public class BeanEntry extends Object implements ParseState.Entry
`ParseState` entry representing a bean definition.

Since:
  2.0
Author:
  Rob Harrop

## Constructor Summary

Constructors
Constructor
Description
`BeanEntry(String beanDefinitionName)`
Create a new `BeanEntry` instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BeanEntry

public BeanEntry(String beanDefinitionName)
Create a new `BeanEntry` instance.

Parameters:
  `beanDefinitionName` - the name of the associated bean definition

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`